Bug 599090 - glibc testcase nptl/tst-eintr1 causes the i386 or s390x box to hang
glibc testcase nptl/tst-eintr1 causes the i386 or s390x box to hang
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks: 846704
  Show dependency treegraph
 
Reported: 2010-06-02 12:35 EDT by Petr Muller
Modified: 2016-09-19 22:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-16 00:19:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2010-06-02 12:35:21 EDT
Description of problem:

As part of glibc testing for RHEL6, we run the src.rpm testuite too. On i686 and s390x, the box hangs during the execution of the testcase. Actually, the i686 box seems to reboot itself after a while. s390x box stops to respond.

I was tracking which testcase is causing this behavior, and it seems to be nptl/tst-eintr1.

Logs give almost no useful output, except for s390x, which spits this to the console:

       0000000009a2baf8 0000000009a2ba70 0000000009a2ba70 00000000004af6b8
       000000003fe235e2 0000000000000000 0000000000000004 0000000000000008
       000000000000000d 000000000000000c 0000000009a2bac8 0000000000000000
       0000000000000000 00000000001052f0 0000000009a2ba58 0000000009a2ba98
Call Trace:
(Ý<00000000001051f0>¨ show_trace+0xe8/0x138)
 Ý<00000000004af506>¨ panic+0x92/0x1f0
 Ý<0000000000105842>¨ die+0x16e/0x17c
 Ý<00000000001070ba>¨ illegal_op+0x1f2/0x1f8
 Ý<0000000000118254>¨ sysc_return+0x0/0x8
 Ý<0000000000171a94>¨ __validate_process_creds+0xf4/0x108
(Ý<0000000000171aa4>¨ __validate_process_creds+0x104/0x108)
 Ý<000000000014a1e2>¨ do_exit+0x9a/0x928
 Ý<000000000014abd0>¨ complete_and_exit+0x0/0x3c
 Ý<0000000000118382>¨ sysc_tracego+0xe/0x14
 Ý<000002000000cd58>¨ 0x2000000cd58
00: HCPGIR450W CP entered; disabled wait PSW 00020001 80000000 00000000 00111E84

Version-Release number of selected component (if applicable):
# rpm -q glibc
glibc-2.12-1.2.el6.s390x
glibc-2.12-1.2.el6.s390

# uname -r
2.6.32-31.el6.s390x

(the i686 versions are identical)

How reproducible:
seems always

Steps to Reproduce:
1. install glibc src rpm
2. rpmbuild -bc  /usr/src/redhat/SPECS/glibc.spec --target=`uname -m`
3. cd /usr/src/redhat/BUILD/glibc-2.12-2-gc4ccff1/build-s390x-linuxnptl
4. make -k check
5. waaaaait... until the nptl/tst-eintr1 testcase
  
Actual results:
hang

Expected results:
continues

Additional info:

The 'glibc' component is mostly a guess from me. Given the nature of the testcase, I can imagine it being a bug in anything from glibc (ld-linux), gcc/ld (badly built ld-linux), or kernel...
Comment 1 RHEL Product and Program Management 2010-06-02 12:46:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Andreas Schwab 2010-06-04 04:55:42 EDT
An unprivileged process crashing the kernel is always a kernel bug.
Comment 3 RHEL Product and Program Management 2010-07-15 11:05:16 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 RHEL Product and Program Management 2011-10-07 11:05:11 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.